PortalUserModel (Social Portal ISTI Scheduler Support Library 0.1.0-SNAPSHOT API)
Date: 2014-02-21

org.gcube.portal.istischeduler.model

## Class PortalUserModel

- java.lang.Object
- - org.gcube.portal.istischeduler.model.PortalUserModel

-     public class PortalUserModel
      extends Object

  Author:
    Massimiliano Assante, ISTI-CNR User Object Model

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PortalUserModel(String username, String firstname, String lastname, String email, String fiscalCode, String optionalIdentifier, String position, String groups)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `String` | `getEmail()`
    `String` | `getFirstname()`
    `String` | `getFiscalCode()`
    `String` | `getGroups()`
    `String` | `getLastname()`
    `String` | `getOptionalIdentifier()`
    `String` | `getPosition()`
    `String` | `getUsername()`
    `int` | `hashCode()`
    `void` | `setEmail(String email)`
    `void` | `setFirstname(String firstname)`
    `void` | `setFiscalCode(String fiscalCode)`
    `void` | `setGroups(String groups)`
    `void` | `setLastname(String lastname)`
    `void` | `setOptionalIdentifier(String optionalIdentifier)`
    `void` | `setPosition(String position)`
    `void` | `setUsername(String username)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PortalUserModel

          public PortalUserModel(String username,
                         String firstname,
                         String lastname,
                         String email,
                         String fiscalCode,
                         String optionalIdentifier,
                         String position,
                         String groups)

  - ### Method Detail

    - #### getUsername

          public String getUsername()

    - #### setUsername

          public void setUsername(String username)

    - #### getFirstname

          public String getFirstname()

    - #### setFirstname

          public void setFirstname(String firstname)

    - #### getLastname

          public String getLastname()

    - #### setLastname

          public void setLastname(String lastname)

    - #### getEmail

          public String getEmail()

    - #### setEmail

          public void setEmail(String email)

    - #### getFiscalCode

          public String getFiscalCode()

    - #### setFiscalCode

          public void setFiscalCode(String fiscalCode)

    - #### getOptionalIdentifier

          public String getOptionalIdentifier()

    - #### setOptionalIdentifier

          public void setOptionalIdentifier(String optionalIdentifier)

    - #### getPosition

          public String getPosition()

    - #### setPosition

          public void setPosition(String position)

    - #### getGroups

          public String getGroups()

    - #### setGroups

          public void setGroups(String groups)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

Copyright © 2014. All Rights Reserved.